This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 557644 - system-config-display crash.
system-config-display crash.
Status: CLOSED DUPLICATE of bug 493680
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-21 21:09 EST by BugRocks
Modified: 2010-11-05 01:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-05 01:17:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description BugRocks 2010-01-21 21:09:01 EST
Description of problem:
Fedora 12 doesn't recognize the nouveau driver and don't show the screen right,
so I tried installing the Nvidia drivers from RPMFusion with no success.
Fedora 12 keeps overwriting the xorg.conf file and using the VESA driver and restraining my resolution to 800x600.
Using a modeline solves the resolution problem but not the driver and as I discovered it also breaks the system-config-display from Red Hat.

Version-Release number of selected component (if applicable):


How reproducible:

Every time
Steps to Reproduce:
1. Install Fedora 12
2. Open a terminal and type "system-config-display"
3.
  
Actual results:

It fails, nothing happens.

Expected results:

Expected to be able to configure the display and drivers.
But even if I change the xorg.conf manually it doesn't load the driver(nouveau or nvidia).
Additional info:

The ABRT Report.
UUID: 899ffa3f
architecture: i686
cmdline: python2 /usr/share/system-config-display/xconf.py 
component: system-config-display
executable: /usr/share/system-config-display/xconf.py
kernel: 2.6.31.9-174.fc12.i686.PAE
package: system-config-display-2.2-1.fc12
release: Fedora release 12 (Constantine)
uuid: 899ffa3f

Comment
-----
Fedora 12 doesn't recognize the nouveau driver and don't show the screen right,
so I tried installing the Nvidia drivers from RPMFusion with no success.
Fedora 12 keeps overwriting the xorg.conf file and using the VESA driver and restraining my resolution to 800x600.
Using a modeline solves the resolution problem but not the driver and as I discovered it also breaks the system-config-display from Red Hat.

backtrace
-----
Summary: TB899ffa3f xConfigDialog.py:640:__init__:IndexError: index out-of-bounds

Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds

Local variables in innermost frame:
count: 2
current: 1
available_resolutions: ['640x480', '800x600']
screen_list: <XF86GenericList object at 0x9539578>
vc: primary: 0
vidCards: [<videocard.VideoCard instance at 0x937fd4c>]
Primary Video Card Info:
device: None
driver : nv
descr : nVidia Corporation G94 [GeForce 9600 GT]
vidRam: None

xml: <gtk.glade.XML object at 0x937e11c (PyGladeXML at 0x92e0460)>
res: 800x600
self: <xConfigDialog.XConfigDialog instance at 0x92b50ac>
available: [8, 16, 24]
monitor_list: <XF86GenericList object at 0x952c1d0>
videocard_list: <XF86GenericList object at 0x9539710>
item: <gtk.MenuItem object at 0x937e324 (GtkMenuItem at 0x9415c30)>
depth: 24
iconPixbuf: <gtk.gdk.Pixbuf object at 0x937e144 (GdkPixbuf at 0x94246f8)>
res_menu: <gtk.Menu object at 0x9362e8c (GtkMenu at 0x93e05e0)>
videocard_menu: <gtk.Menu object at 0x937e3ec (GtkMenu at 0x93e06d0)>
hardware_state: <xhwstate.XF86HardwareState instance at 0xb73ea12c>
xconfig: <XF86Config object at 0xb7779f70>
Comment 1 Bug Zapper 2010-11-03 20:16:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ankur Sinha (FranciscoD) 2010-11-05 01:17:04 EDT

*** This bug has been marked as a duplicate of bug 493680 ***

Note You need to log in before you can comment on or make changes to this bug.